from gpaw import GPAW, PW
import ase.io

#  Slab with CO:
slab = ase.io.read('POSCAR', format='vasp')
slab.calc = GPAW(mode=PW(400),
                 xc='PBE',
                 kpts=(8, 8, 1),
                 convergence={'bands':-10},
                 txt='ts.txt')
slab.get_potential_energy()
slab.calc.write('ts.gpw', mode='all')

#  Molecule
molecule = slab[-2:]
molecule.calc = GPAW(mode=PW(400),
                     xc='PBE',
                     kpts=(8, 8, 1),
                     txt='H2.txt',
                     convergence={'bands':2})

molecule.get_potential_energy()
molecule.calc.write('H2.gpw', mode='all')

